Package com.independentsoft.office.word.math

# Class MatrixProperties

java.lang.Object
com.independentsoft.office.word.math.MatrixProperties

public class MatrixProperties extends Object
The Class MatrixProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MatrixProperties()`
  Instantiates a new matrix properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MatrixProperties`
  `clone()`
  `List<MatrixColumn>`
  `getColumns()`
  Gets the columns.
  `ControlProperties`
  `getControlProperties()`
  Gets the control properties.
  `ExtendedBoolean`
  `getHidePlaceholders()`
  Gets the hide placeholders.
  `VerticalJustification`
  `getMatrixBaseJustification()`
  Gets the matrix base justification.
  `int`
  `getMatrixColumnGap()`
  Gets the matrix column gap.
  `SpacingRule`
  `getMatrixColumnGapRule()`
  Gets the matrix column gap rule.
  `int`
  `getMatrixColumnSpacing()`
  Gets the matrix column spacing.
  `int`
  `getRowSpacing()`
  Gets the row spacing.
  `SpacingRule`
  `getSpacingRule()`
  Gets the spacing rule.
  `void`
  `setHidePlaceholders​(ExtendedBoolean hidePlaceholders)`
  Sets the hide placeholders.
  `void`
  `setMatrixBaseJustification​(VerticalJustification matrixBaseJustification)`
  Sets the matrix base justification.
  `void`
  `setMatrixColumnGap​(int matrixColumnGap)`
  Sets the matrix column gap.
  `void`
  `setMatrixColumnGapRule​(SpacingRule matrixColumnGapRule)`
  Sets the matrix column gap rule.
  `void`
  `setMatrixColumnSpacing​(int matrixColumnSpacing)`
  Sets the matrix column spacing.
  `void`
  `setRowSpacing​(int rowSpacing)`
  Sets the row spacing.
  `void`
  `setSpacingRule​(SpacingRule spacingRule)`
  Sets the spacing rule.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MatrixProperties

    public MatrixProperties()
    Instantiates a new matrix properties.

- ## Method Details

  - ### clone

    public MatrixProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getColumns

    public List<MatrixColumn> getColumns()
    Gets the columns.
    Returns:
      the columns

  - ### getHidePlaceholders

    public ExtendedBoolean getHidePlaceholders()
    Gets the hide placeholders.
    Returns:
      the hide placeholders

  - ### setHidePlaceholders

    public void setHidePlaceholders​(ExtendedBoolean hidePlaceholders)
    Sets the hide placeholders.
    Parameters:
      `hidePlaceholders` - the new hide placeholders

  - ### getMatrixBaseJustification

    public VerticalJustification getMatrixBaseJustification()
    Gets the matrix base justification.
    Returns:
      the matrix base justification

  - ### setMatrixBaseJustification

    public void setMatrixBaseJustification​(VerticalJustification matrixBaseJustification)
    Sets the matrix base justification.
    Parameters:
      `matrixBaseJustification` - the new matrix base justification

  - ### getMatrixColumnGapRule

    public SpacingRule getMatrixColumnGapRule()
    Gets the matrix column gap rule.
    Returns:
      the matrix column gap rule

  - ### setMatrixColumnGapRule

    public void setMatrixColumnGapRule​(SpacingRule matrixColumnGapRule)
    Sets the matrix column gap rule.
    Parameters:
      `matrixColumnGapRule` - the new matrix column gap rule

  - ### getSpacingRule

    public SpacingRule getSpacingRule()
    Gets the spacing rule.
    Returns:
      the spacing rule

  - ### setSpacingRule

    public void setSpacingRule​(SpacingRule spacingRule)
    Sets the spacing rule.
    Parameters:
      `spacingRule` - the new spacing rule

  - ### getMatrixColumnGap

    public int getMatrixColumnGap()
    Gets the matrix column gap.
    Returns:
      the matrix column gap

  - ### setMatrixColumnGap

    public void setMatrixColumnGap​(int matrixColumnGap)
    Sets the matrix column gap.
    Parameters:
      `matrixColumnGap` - the new matrix column gap

  - ### getMatrixColumnSpacing

    public int getMatrixColumnSpacing()
    Gets the matrix column spacing.
    Returns:
      the matrix column spacing

  - ### setMatrixColumnSpacing

    public void setMatrixColumnSpacing​(int matrixColumnSpacing)
    Sets the matrix column spacing.
    Parameters:
      `matrixColumnSpacing` - the new matrix column spacing

  - ### getRowSpacing

    public int getRowSpacing()
    Gets the row spacing.
    Returns:
      the row spacing

  - ### setRowSpacing

    public void setRowSpacing​(int rowSpacing)
    Sets the row spacing.
    Parameters:
      `rowSpacing` - the new row spacing

  - ### getControlProperties

    public ControlProperties getControlProperties()
    Gets the control properties.
    Returns:
      the control properties